unit fischu2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  Tinfo = class(TForm)
    Memo1: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Memo1Enter(Sender: TObject);
    procedure Memo1DblClick(Sender: TObject);
    procedure Memo1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  info: Tinfo;

implementation

{$R *.DFM}

uses fischu1;



procedure Tinfo.FormActivate(Sender: TObject);
begin
case aufruf of
1:  // Anzeigen der mglichen Befehle
begin
info.color := clwhite;
memo1.text := '';
memo1.lines.add ('');
memo1.lines.add ('Mgliche Befehle auf der Komandozeile:');
memo1.lines.add ('');
memo1.lines.add ('');
memo1.lines.add ('# ');
memo1.lines.add ('z.B. "# Dies  ist ein Kommentar"');
memo1.lines.add ('Auskommentieren von Befehlen. Durch ein vorangehendes "# " knnen ');
memo1.lines.add ('Befehle auskommentiert werden. Diese Zeilen werden vom Programm nicht');
memo1.lines.add ('interpretiert');
memo1.lines.add ('');
memo1.lines.add ('Init <port>');
memo1.lines.add ('<port> = Com1, Com2, Com3 oder Com4');
memo1.lines.add ('z.B. "Init Com4" wenn sich das Interface an Com4 befindet');
memo1.lines.add ('Der Init Befehl mu einmal beim Start des Programmes gegeben werden.');
memo1.lines.add ('');
memo1.lines.add ('Close');
memo1.lines.add ('z.B. "Close"');
memo1.lines.add ('Mit dem Befehl Close wird das Interface wieder geschlossen');
memo1.lines.add ('Dieser Befehl sollte am Ende jedes Programmes stehen.');
memo1.lines.add ('');
memo1.lines.add ('Info');
memo1.lines.add ('z.B. "Info"');
memo1.lines.add ('Mit dem Befehl Info wird das Programm dazu veranlasst mehr ');
memo1.lines.add ('Informationen im Fehlerfenster anzuzeigen. Dabei wird zwischen');
memo1.lines.add ('den Zustnden Infos ja/nein hin- und hergeschaltet.');
memo1.lines.add ('');
memo1.lines.add ('Beep');
memo1.lines.add ('z.B. "Beep"');
memo1.lines.add ('Mit dem Befehl beep wird an der Stelle des Programms ein Signalton');
memo1.lines.add ('ausgegeben.');
memo1.lines.add ('');
memo1.lines.add ('Motor <Nummer> <Befehl>');
memo1.lines.add ('<Nummer> = 1,2,3 oder 4');
memo1.lines.add ('<Befehl> = Aus, Links oder Rechts');
memo1.lines.add ('z.B. "Motor 1 Rechts" der Motor luft dann so lange rechtsherum,');
memo1.lines.add ('bis er durch "Motor 1 Aus" ausgeschaltet wird');
memo1.lines.add ('Die Nummer bezieht sich auf den Motor Anschlu M1 bis M4');
memo1.lines.add ('');
memo1.lines.add ('Delay <ms>');
memo1.lines.add ('<ms> = Zeitangabe in ms (von 0 bis 100000)');
memo1.lines.add ('<ms> = oder Variable Z1 bis Z9');
memo1.lines.add ('z.B. "Delay 1000" es werden 1000ms = 1sec gewartet, bis der nchste');
memo1.lines.add ('Befehl  ausgefhrt wird.');
memo1.lines.add ('');
memo1.lines.add ('Setze Z<nr> = <Zahl>');
memo1.lines.add ('<nr> = Nummer der Variablen 1 bis 9');
memo1.lines.add ('Mit diesem Befehl ist es mglich einer der neun Variablen einen Wert zuzuordnen');
memo1.lines.add ('z.B. "Z4 = 10"');
memo1.lines.add ('');
memo1.lines.add ('INC Z<nr> <Zahl>');
memo1.lines.add ('<nr> = Nummer der Variablen 1 bis 9');
memo1.lines.add ('Mit diesem Befehl wird eine Variable um den Wert <Zahl> erhht');
memo1.lines.add ('z.B. "INC Z3 1"');
memo1.lines.add ('');
memo1.lines.add ('DEC Z<nr> <Zahl>');
memo1.lines.add ('<nr> = Nummer der Variablen 1 bis 9');
memo1.lines.add ('Mit diesem Befehl wird eine Variable um den Wert <Zahl> verringert');
memo1.lines.add ('z.B. "DEC Z7 5"');
memo1.lines.add ('');
memo1.lines.add ('ZEIGE WERT Z<nr>');
memo1.lines.add ('<nr> = Nummer der Variablen 1 bis 9');
memo1.lines.add ('Mit diesem Befehl wird der aktuelle Wert der angegebenen Variablen');
memo1.lines.add ('in einem Pop-Up Fenstern ausgegeben');
memo1.lines.add ('z.B. "Zeige Wert Z6"');
memo1.lines.add ('');
memo1.lines.add ('Sound <Frequenz>');
memo1.lines.add ('<Frequenz> = Angabe der Tonhhe');
memo1.lines.add ('Dieser Befehl gibt auf dem PC-Speaker eine Ton aus mit der angegebenen Frequenz');
memo1.lines.add ('Es wird erst mit dem Befehl "SoundAUS" der PC Speaker wieder ausgeschaltet');
memo1.lines.add ('z.B. "Sound 5000"');
memo1.lines.add ('');
memo1.lines.add ('SoundAUS');
memo1.lines.add ('Dieser Befehl gibt auf dem PC-Speaker ausgeschaltet');
memo1.lines.add ('z.B. "Sound 5000"');
memo1.lines.add ('"delay 500"');
memo1.lines.add ('"SoundAus"');
memo1.lines.add ('');
memo1.lines.add ('Wenn <Bedingung> dann');
memo1.lines.add (';');
memo1.lines.add ('<Bedingung> = "E 1","E 2","E 3",..,"E 8","Z1= 10","Z2< 5"...');
memo1.lines.add ('<Bedingung> = "NICHT E1","NICHT E2","NICHT E3"....');
memo1.lines.add ('z.B. "Wenn E 1 dann"');
memo1.lines.add ('"motor 1 links"');
memo1.lines.add ('"delay 1000"');
memo1.lines.add ('"motor 1 aus"');
memo1.lines.add ('";"');
memo1.lines.add ('Mit dieser Kontrollstruktur ist es mglich Befehle nur dann ausfhren;');
memo1.lines.add ('zu lassen, wenn eine bestimmte Bedingung erfllt ist. Zusammen');
memo1.lines.add ('mit Schleifen ergeben sich umfangreiche Mglichkeiten');
memo1.lines.add ('Man mu darauf auchten, die Bedingung mit einem ";" abzuschlieen;');
memo1.lines.add ('Bei dem oben genannten Beispiel wird der Motor 1 nur dann fr 1sec');
memo1.lines.add ('eingeschaltet, wenn der Schalter an E1 gedrckt wird');
memo1.lines.add ('Auch ist es nun mglich eine Variable abzufragen:');
memo1.lines.add ('Dazu mu die Bedingung wie folgt formuliert werden');
memo1.lines.add ('Zuerst Zhlernummer mit Opperatorzeichen und dann eine Zahl');
memo1.lines.add ('z.B. Z1= 10  wrde bedeuten, dass wenn Zhler 1 gleich 10 ist die');
memo1.lines.add ('Bedingung eerfllt ist. Andere Operatorzeichen sind ">" grer, "<" kleiner');
memo1.lines.add ('und "=" gleich. Es gibt bis zu 9 Variablen');
memo1.lines.add ('');
memo1.lines.add ('Wiederhole Solange');
memo1.lines.add ('Bis <Abbruchbedingung>');
memo1.lines.add ('<Abbruchbedingung> = "Esc","E 1","E 2",.. oder Abbruch');
memo1.lines.add ('<Abbruchbedingung> = "Nicht E 1","Nicht E 2",....');
memo1.lines.add ('<Abbruchbedingung> = "Z1= 5" oder "Z4< 10" usw');
memo1.lines.add ('z.B. "Wiederhole Solange"');
memo1.lines.add ('"motor 1 rechts"');
memo1.lines.add ('"delay 1000"');
memo1.lines.add ('"motor 1 aus"');
memo1.lines.add ('"Bis Abbruch"');
memo1.lines.add ('In diesem 5 Zeilen Programm wird der Motor1 eingeschaltet und ');
memo1.lines.add ('nach 1sec wieder ausgeschaltet SOLANGE BIS Abbgebrochen wird ');
memo1.lines.add ('(durch Alt+u) Es knnen auch Schleifen ineinander geschachtelt');
memo1.lines.add ('werden. Bis zu 10 Schleifen knnen geschachtelt werden. Die ');
memo1.lines.add ('Abbruchbedingung "E 1" ist erfllt, wenn');
memo1.lines.add ('der Eingang 1 geschaltet ist (z.B. durch Tasten and E 1)');
memo1.lines.add ('');
memo1.lines.add ('z.B. "Setze Z1 = 0"');
memo1.lines.add ('"Wiederhole Solange"');
memo1.lines.add ('"INC Z1 1"');
memo1.lines.add ('"motor 1 rechts"');
memo1.lines.add ('"delay 1000"');
memo1.lines.add ('"motor 1 aus"');
memo1.lines.add ('"delay 100');
memo1.lines.add ('"Bis Z1> 10"');
memo1.lines.add ('In der ersten Zeile wurde die Variable 1 auf 0 gesetzt');
memo1.lines.add ('Nun folgt die Schleife, die erst abgebrochen wird, wenn die ');
memo1.lines.add ('Variable 1 grer als 10 ist. Damit dieser Fall eintreten kann ');
memo1.lines.add ('und um keine Endlosschleife zu erzeugen wird innerhalb der ');
memo1.lines.add ('Schleife bei jedem Durchlauf die Variable 1 um eins erhht!');
memo1.lines.add ('In diesem Fall wrde der Motor 10 Mal ein und ausgeschaltet');
memo1.lines.add ('');
memo1.lines.add ('z.B. Wiederhole Solange"');
memo1.lines.add ('"delay 10');
memo1.lines.add ('"Bis Nicht E 1');
memo1.lines.add ('Das Programm wird erst dann weiterarbeiten, wenn der Schalter an');
memo1.lines.add ('Eingang 1 wieder losgelassen wird.');
memo1.lines.add ('');
memo1.lines.add ('Zurck durch "E","Alt+F4" oder Mausklick');
memo1.lines.add ('');
memo1.lines.add ('');
memo1.lines.add ('ergnzt A.Hanuschkin 20.8.2001');
memo1.lines.add ('ergnzt A.Hanuschkin 6.8.2001');
memo1.lines.add ('erstellt A.Hanuschkin 1.1.2001');
end;
//Anzeige Programm Hilfe
2:
begin
info.color := clwhite;
memo1.text := '';
memo1.lines.add ('');
memo1.lines.add ('Hilfe zu dem Programm Fischtechnik');
memo1.lines.add ('Version 0.1 Stand 1.1.2001');
memo1.lines.add ('');
memo1.lines.add ('Zuerst folgt eine kurze Beschreibung des Programmes und zum Schlu eine bersicht ber die Tastaturkrzel');
memo1.lines.add ('');
memo1.lines.add ('Nach dem Start des Programmes befindet sich der Cursor direkt');
memo1.lines.add ('in dem Eingabefeld. Hier werden die Befehle eingegeben, welche');
memo1.lines.add ('spter verarbeitet und an das Fischertechnik Interface ');
memo1.lines.add ('bergeben werden. Alle zur Zeit mgichen Befehle werden unter');
memo1.lines.add ('Hilfe -> Befehle aufgefhrt. Zum Abarbeiten der Eingegebenen');
memo1.lines.add ('Befehle wird der Compiler durch Programm -> Starten gestartet.');
memo1.lines.add ('Mgliche Eingaben die nicht interpretiert werden konnten ');
memo1.lines.add ('werden in der Fehlerliste aufgefhrt. Der Cursor kann im Programm');
memo1.lines.add ('nur zischen dem  Fehlerfenster und dem Befehlsfenster wandern.');
memo1.lines.add ('D.H. durch drcken der Tab Taste wechselt man zischen diesen ');
memo1.lines.add ('beiden Fenstern. Zu Begin des Fehlerfensters steht ');
memo1.lines.add ('"Fehlermeldungen" und in diesem Fenster kann auch nichts editiert werden.');
memo1.lines.add ('');
memo1.lines.add ('Tastaturkrzel');
memo1.lines.add ('');
memo1.lines.add ('');
memo1.lines.add ('<Alt+N> Ein neues Programm schreiben. Alle alten Befehle werden gelscht.');
memo1.lines.add ('<Alt+L> Ein Programm laden. ');
memo1.lines.add ('<Alt+p> Ein Programm speichern. ');
memo1.lines.add ('<Alt+S> Starten des Interprets / Programm Start');
memo1.lines.add ('<Alt+a> Alle Motoren ausschalten');
memo1.lines.add ('<Alt+o> Not-Halt alle Motoren und Interface close');
memo1.lines.add ('<Alt+u> Abbruch ndern an/aus im Wechsel');
memo1.lines.add ('<Alt+E> Ende des Programms');
memo1.lines.add ('');
memo1.lines.add ('Zurck durch "E","Alt+F4" oder Mausklick');
memo1.lines.add ('');
memo1.lines.add ('');
memo1.lines.add ('A.Hanuschkin 1.1.2001');
end;
3:
 begin
 // info.color := clmenu;
 memo1.text := '';
 memo1.lines.add ('');
 memo1.lines.add ('Programm Info');
 memo1.lines.add ('');
 memo1.lines.add ('Fischertechnik Interface Steuerung V. 0.1');
 memo1.lines.add ('Informationen zu der verwendeten DLL und mehr unter');
 memo1.lines.add ('http://www.ulrich-mueller.de / E-Mail ulrich.mueller@owl-online.de');
 memo1.lines.add ('');
 memo1.lines.add ('Programmiert von A.Hanuschkin 1.1.2001');
 memo1.lines.add ('erweitert am 6.8.2001');
 memo1.lines.add ('E-Mail Alexander.Hanuschkin@gmx.de');
 memo1.lines.add ('Zurck durch "E","Alt+F4" oder Mausklick');
 memo1.lines.add ('');
 memo1.lines.add ('');
 memo1.lines.add ('A.Hanuschkin 1.1.2001');
 end;
end;
memo1.selstart := 0;
end;

procedure Tinfo.Memo1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
close;
end;

procedure Tinfo.Memo1Enter(Sender: TObject);
begin
memo1.selstart := 0;
end;

procedure Tinfo.Memo1DblClick(Sender: TObject);
begin
close;
end;

procedure Tinfo.Memo1KeyPress(Sender: TObject; var Key: Char);
begin
if (key = 'e') or (key = 'E') then close;
end;

end.
